For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Cloudflare
    • GETpayload example
    • POSThttps://social-media-posting-dev.deao.workers.dev/post
        • GETGet User Pages: https://graph.facebook.com/v25.0/me/accounts
            • GET3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}
            • POST4. Publish Video Story: https://graph.facebook.com/v25.0/{fb_page_id}/video_stories?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}
            • POST2. Upload Video: {upload_url}?access_token={fb_page_access_token}
LogoLogo
CloudflareSocial Media PostingFacebookStoriesVideo

  1. Publish Video Story: https://graph.facebook.com/v25.0/{fb_page_id}/video_stories?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}

||View as Markdown|
POST
/v25.0/:page_id/video_stories
POST
/v25.0/:page_id/video_stories
$curl -X POST "https://graph.facebook.com/v25.0/996526996873368/video_stories?access_token=EAARvj2oSxZBIBQ4Ef3gxW1zZCkoJZBxZCFxjVilKupwAXRCEIPNZBQfMmtIvGDqQDNqVQ6z6OhdEWagK2ZADK8ZCOkPhhfgjP3ojOGkAGvZCmZBjl50UJElpZBp0ZCpYXK4C78TXoaD2LcbZADOEEZBFr68LlcmH4LgQZBCaIZB59Amh8HC9qpysBAz09bkWD5IRZCGBqNGmp58iEwmx2HhfUZCdAoqYR" \
> -H "Content-Type: application/json" \
> -d "{
> \"video_id\": \"1995057251394009\", //{video_id}
> \"upload_phase\": \"finish\"
> }"
200Social Media Posting_Facebook_Stories_Video_4. Publish Video Story: https://graph.facebook.com/v25.0/{fb_page_id}/video_stories?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_example
1{
2 "message": "Video is Processing. To check the status of the video, please follow the instructions listed at https://developers.facebook.com/docs/page-stories-api.",
3 "post_id": "1959106338020832",
4 "success": true
5}
Was this page helpful?
Previous

3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}

Next

  1. Upload Video: {upload_url}?access_token={fb_page_access_token}

Built with

Path parameters

page_idstringRequired
{fb_page_id}

Query parameters

access_tokenstringOptional
{fb_page_access_token}

Request

This endpoint expects a string.

Response headers

Pragmastring
Alt-Svcstring
Expiresstring
x-fb-aedstring
x-fb-revstring
X-FB-Debugstring
x-app-usagestring
Cache-Controlstring
x-fb-trace-idstring
x-fb-request-idstring
facebook-api-versionstring
X-FB-Connection-Qualitystring
Strict-Transport-Securitystring
Access-Control-Allow-Originstring
cross-origin-resource-policystring

Response

OK
messagestring
post_idstring
successboolean
  1. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}